# Windows compile and link csamp.exe  (Microsoft VC++ 5.0)
#
# Note: Paths may be different on your machine

PLATFORM  = WINNT

BUILDDIR  = e:\cblythe\test
BASEDIR   = e:\Progra~1\Vast5-13CLI
CALLINDIR = $(BASEDIR)\callin

LIBS     = $(CALLINDIR)\abtvxt40.lib
HEADERS  = $(CALLINDIR)\ioarea.h $(CALLINDIR)\abtvxt40.h
SRCSAMP  = $(CALLINDIR)\csamp.c
OBJSAMP  = $(BUILDDIR)\csamp.obj
EXESAMP  = $(BUILDDIR)\csamp.exe

CC       = CL
LINK     = LINK	

# CFLAGS:		Compile Flags
#
#       /c		Compile without linking
#       /Fo		Creates an object file
#	/Gz		Specifies _stdcall calling convention
#	/I		Search these directories for include files
#	/Zi		Generates complete debugging information
#	/D		Define preprocessor macros
CFLAGS = /c /Gz /DABT_WIN32 /I$(CALLINDIR) /Fo$@
            
# LFLAGS:              	Linker flags
#
#	/DEBUG		Creates debugging information
#	/OUT:		Specifies the output file name
LFLAGS = /OUT:$@

all: $(EXESAMP)

clean:
   - del $(EXESAMP) $(OBJSAMP)

$(EXESAMP): $(OBJSAMP)
   $(LINK) $(OBJSAMP) $(LIBS) $(LFLAGS)

$(OBJSAMP): $(SRCSAMP) $(HEADERS) 
   $(CC) $(CFLAGS) $(SRCSAMP)